Bug 436923 - wpa_supplicant - 32 bit version fails with 64 bit kernel
wpa_supplicant - 32 bit version fails with 64 bit kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 03:00 EDT by Maciej Żenczykowski
Modified: 2009-01-09 01:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:09:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Żenczykowski 2008-03-11 03:00:25 EDT
32-bit (i386) version of wpa_supplicant-0.5.7-21.fc8 fails with a 64-bit
(x86_64) kernel (in this case 2.6.24.3-22.fc8.x86_64 from koji).

x86_64 version of wpa_supplicant works just fine.

At the same time 32-bit wireless-tools-29-0.2.pre22.fc8.i386 (iwconfig/iwlist)
works fine.

I think the broken part is the wireless scanning interface, since it reports
empty SSIDs and wrong frequencies in the wpa_supplicant.log when run with debug
(-dd), while iwlist ath0 scan shows correct ones.

Relevant log fragment from 32-bit wpa_supplicant on 64-bit kernel:

State: DISCONNECTED -> SCANNING
Starting AP scan (specific SSID)
Scan SSID - hexdump_ascii(len=8):
     xx xx xx xx xx xx xx xx                           Xxxxxxxx        
Trying to get current scan results first without requesting a new scan to speed
up initial association
Invalid freq in scan results (BSSID=00:00:01:00:00:0b: m=0 e=27520

...

Received 894 bytes of scan results (4 BSSes)
Scan results: 4
Selecting BSS from priority group 5
0: 00:00:01:00:00:0b ssid='' wpa_ie_len=0 rsn_ie_len=0 caps=0x10
   skip - no WPA/RSN IE
...

(Running 32-bit userspace (for compatibility) with 64-bit kernel (for extra
memory and ability to run 64-bit code) isn't that unusual)
Comment 1 Dan Williams 2008-07-02 18:44:38 EDT
We may need David Miller's latest WEXT compat updates that will hit 2.6.27
before this gets fixed permanently.  This has historically been quite icky.
Comment 2 Bug Zapper 2008-11-26 05:07:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:09:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.